Bug 648429 - Nepali Language Variant of 5 and 8 devanagari numerals
Summary: Nepali Language Variant of 5 and 8 devanagari numerals
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-devanagari-fonts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-01 09:27 UTC by Ujjwol
Modified: 2010-12-21 11:10 UTC (History)
4 users (show)

Fixed In Version: lohit-devanagari-fonts-2.4.3-8.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-06 20:03:07 UTC


Attachments (Terms of Use)
Devanagari Nepali Variant 5 (10.11 KB, image/png)
2010-11-01 09:27 UTC, Ujjwol
no flags Details
Devanagari Nepali Variant 8 (8.37 KB, image/png)
2010-11-01 09:27 UTC, Ujjwol
no flags Details
Reference for numerals (356.59 KB, image/jpeg)
2010-11-01 10:50 UTC, Ujjwol
no flags Details
Comparison of the New Glyph with an Standard one (31.31 KB, image/png)
2010-12-21 08:26 UTC, Ujjwol
no flags Details
Comparison of the new glyph of 8 (22.52 KB, image/png)
2010-12-21 08:33 UTC, Ujjwol
no flags Details

Description Ujjwol 2010-11-01 09:27:21 UTC
Created attachment 456827 [details]
Devanagari Nepali Variant 5

Description of problem:
Nepali language a different glyph variant for 5 and 8. They don't use the default glyph - these ५ and ८. So, newer glyph should be developed for Nepali Language. And they should be by default for Nepali Locale. I have attached the screenshot of nepali variant devanagari numerals of 5 and 8. Unlike India(judging from Indian Hindi Language TV) Nepali makes heavy use of Devanagari Numerals. Roman numerals are not used, so this is an issue of high importance.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ujjwol 2010-11-01 09:27:51 UTC
Created attachment 456828 [details]
Devanagari Nepali Variant 8

Comment 2 Pravin Satpute 2010-11-01 10:13:20 UTC
in fedora we are using Madan as a default font for Nepali, It is using proper Nepali shape

did you installed madan-fonts?

Comment 3 Ujjwol 2010-11-01 10:33:51 UTC
Yes! I have installed madan-fonts. They are fine but as Lohit Hindi is now Lohit Devanagari it should have variants for Languages.

Comment 4 Pravin Satpute 2010-11-01 10:44:00 UTC
No Props, We will add these changes using locale feature

Comment 5 Ujjwol 2010-11-01 10:50:59 UTC
Created attachment 456842 [details]
Reference for numerals

Comment 6 Ujjwol 2010-11-01 10:51:18 UTC
I have attached the reference. It is from following Book:
कक्षा १०
आयुर्वेद
प्रथम संस्करण
नेपाल सरकार
शिक्षा तथा खेलकुद मन्त्रालय
पाठ्यक्रम विकास केन्द्र
सानोठिमी, भक्तपुर
In English:
Class 10
Ayurveda
First Edition
Government of Nepal
Ministry of Education and Sports
Curriculum Development Center
Sanothimi, Bhaktapur

Comment 7 Fedora Update System 2010-11-26 10:09:04 UTC
lohit-devanagari-fonts-2.4.3-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lohit-devanagari-fonts-2.4.3-8.fc14

Comment 8 Fedora Update System 2010-11-26 21:06:18 UTC
lohit-devanagari-fonts-2.4.3-8.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lohit-devanagari-fonts'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/lohit-devanagari-fonts-2.4.3-8.fc14

Comment 9 Fedora Update System 2010-12-06 20:02:44 UTC
lohit-devanagari-fonts-2.4.3-8.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Abhishek Singh 2010-12-21 08:03:34 UTC
The updated version of lohit-devnagri-fonts have the updated glyph for ५ and ८, but still it does not look so good. Can we have a similar glyph from the font Madan2 (available as package madan-fonts)?

Comment 11 Ujjwol 2010-12-21 08:26:12 UTC
I have included a comparison with one "good looking" glyph and the newer glyph. Hope this helps the designer.

Comment 12 Ujjwol 2010-12-21 08:26:58 UTC
Created attachment 469928 [details]
Comparison of the New Glyph with an Standard one

I have included a comparison with one "good looking" glyph and the newer glyph. Hope this helps the designer.

Comment 13 Pravin Satpute 2010-12-21 08:33:28 UTC
we cant copy madan characters directly, as style of Madan and Lohit is
different

Lohit is Sans fonts with uniform width characters. Madan is Serif

As a Nepali Language speaker i will appreciate patch from you for this, or let me know how can we improve it aesthetically 

See fontforge for improving shape in font file

Comment 14 Ujjwol 2010-12-21 08:33:38 UTC
Created attachment 469929 [details]
Comparison of the new glyph of 8

Comment 15 Ujjwol 2010-12-21 08:39:16 UTC
For just a fact, I have seen this glyph in some Hindi book too. So this can a variant of ५ along with default for Nepali locale.
BTW: Pravin! can you please tell any trick to open gedit in ne_NP locale without logging out in current session ?

Comment 16 Pravin Satpute 2010-12-21 09:09:55 UTC
first close all instance of gedit and then run
$LANG=ne_NP.UTF-8 gedit

Comment 17 Ujjwol 2010-12-21 11:10:41 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.